WordPress.org

Ready to get started?Download WordPress

Forums

Restrict Widgets
[resolved] Plugin causes and error message on sidebar (2 posts)

  1. Whitenorthstar
    Member
    Posted 10 months ago #

    Hi, and thank you for a great plugin! The thing is, my site (ghostofatale.com) is working well now, but a couple of days ago... there was this error message, showing up among the widgets in my sidebar:

    Warning: get_class() expects parameter 1 to be object, string given in
    wp-content/plugins/restrict-widgets/restrict-widgets.php on line 100

    It is gone, but as you'll understand, I'm afraid that it will pop up again and I don't want to constantly check my site just in case. Would you please guide me to a cure?
    Thank you! David

    http://wordpress.org/extend/plugins/restrict-widgets/

  2. dFactory
    Member
    Plugin Author

    Posted 10 months ago #

    Hi,
    The get_class() function doesn't even exist in our plugin, so it's not the one that caouses the issue I think. Some of the widget authord use hacks to put widget-like elements into widget page, which are not built using any WP coding practices. And thats where I'd look for a source of a problem.

Reply

You must log in to post.

About this Plugin

About this Topic